
WikiNG - Bug #2152

Do not replace characters in wiki links

12 Feb 2013 13:36 - Xavier Calland

Status: Closed Start date: 12 Feb 2013

Priority: Normal Due date: 15 Oct 2013

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0b   

Redmine version:  External issue: #210, #645

Description

Links containing '–' '—' or apostrophes are false after characters replacment.

Links (href attribute) should not be changed by characters replacment.

Related issues:

Related to WikiNG - Feature #2224: Option to disable glyphs? Incomplete 14 Sep 2013

Related to WikiNG - Feature #1917: Smart quotes Closed 19 Dec 2011 15 Oct 2013

Associated revisions

Revision 38 - 25 May 2013 18:37 - Andriy Lesyuk

Fixed #2142 and #2152, started working on  #2154 and #2158

Revision 61 - 15 Oct 2013 13:24 - Andriy Lesyuk

Rfactored glyphs engine (#2152), added back smart quotes (#1917)

History

#1 - 09 Apr 2013 10:43 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

#2 - 09 Apr 2013 10:44 - Andriy Lesyuk

- Target version set to 0.0.4

#3 - 20 May 2013 09:18 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 20

The problem is, that at the moment of replacement it is not known, if it’s href or not... In any way parsing the syntax before replacement is, perhaps,

too much. Not sure how to fix this issue... At the moment the only way seems to be:

1. Require spaces before and after – and — (this way making sure, it’s not a link).

2. Require users to use %27 instead of ' in URLs (any way apostrophes in URLs are problematic).

What do you think?

#4 - 20 May 2013 09:46 - Andriy Lesyuk

- % Done changed from 20 to 70
#5 - 14 Sep 2013 13:41 - Andriy Lesyuk

- Status changed from In Progress to Incomplete

- Target version deleted (0.0.4)

Ok, I believe the issue with dashes is not longer actual (it’s fixed)! Regarding apostrophes, I believe, I can’t do anything...

An apostrophe is a “reserved” character accordingly to RFC-3986. This means, that it can have a special meaning and not encoded in this case, or it 

should be encoded otherwise! Does apostrophe have a special meaning in your case?

Also it would be great to have samples of Wiki text with such links...

See also #2224.

#6 - 14 Sep 2013 15:36 - Andriy Lesyuk

Got also another idea, which may be implemented in 1.0.0b or in some intermediate version.

#7 - 14 Sep 2013 18:50 - Andriy Lesyuk

- External issue set to #210

#8 - 14 Sep 2013 18:52 - Andriy Lesyuk

- External issue changed from #210 to #210, #645

#9 - 13 Oct 2013 12:45 - Andriy Lesyuk

- Target version set to 1.0.0b

#10 - 15 Oct 2013 13:14 - Andriy Lesyuk

- Due date set to 15 Oct 2013

- Status changed from Incomplete to In Progress

- % Done changed from 70 to 90

#11 - 15 Oct 2013 13:30 - Andriy Lesyuk

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

r61 should make it not be replaced in links. If it fails, please reopen the issue.
